[Hippo-cms7-user] New Hippo CMS tag 2.10

Mathijs Brand m.brand at onehippo.com
Thu Dec 3 17:27:38 CET 2009


> Please try this out and give us your feedback.

We're starting to use it... right now and will supply you with as much
detailed feedback as possible.
For now: thanks guys!

Kind regards,
Mathijs Brand
Hippo

m.brand at onehippo.com

Amsterdam - Hippo B.V. Oosteinde 11 1017 WT Amsterdam +31(0)20-5224466
San Francisco - Hippo USA Inc. 101 H Street, suite Q Petaluma CA
94952-5100 +1 (707) 773-4646

www.onehippo.com info at onehippo.com




On Thu, Dec 3, 2009 at 3:45 PM, Stephan Westen <s.westen at 1hippo.com> wrote:
> Hi,
>
> We've set a new Hippo CMS tag 2.10. Most important new functionality is:
>
> - mandatory aka required fields. Instead of relying on JCR's mandatory
> capabilities, we have introduced our own mechanism for required fields. The
> reason behind this is that JCR's
>   mechanism was not flexible enough. For example, our users want to be able
> to save the document without filling in all required fields first.
> - upgrade to Wicket 1.4, interesting for portal 2.0 specification
> integration. How to upgrade your plugin to 2.10 to deal with the Wicket
> changes see the online upgrade documentation at
>
> http://www.onehippo.org/cms7/documentation/upgrading/2.09.xx+-%3E+2.10.xx+plugins.html
> - an editor can reject a request and pass in feedback
> - automatic upgrade from 2.09 to 2.10, obviously you need to write upgrade
> scripts for your own plugins. See javadoc of UpdaterModule.
> - update-all-content performance improvements
> - human readable names in template editor node/field definitions rather than
> identifiers
> - small fixes, see Jira project HREPTWO, fix-for 2.10.00
>
> Please try this out and give us your feedback.
>
> Enjoy,
>
> The Hippo team
> _______________________________________________
> Hippo-cms7-user mailing list and forums
> http://www.onehippo.org/cms7/support/community.html
>



More information about the Hippo-cms7-user mailing list